aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin M. Keyes <justinkz@gmail.com>2016-05-17 01:31:02 -0400
committerJustin M. Keyes <justinkz@gmail.com>2016-05-17 01:31:02 -0400
commit3f3a3cb65f02b8088dea911094421f8ce79e521a (patch)
tree7f0e820291a41ebba88648c8d5ab363ea8fa5569
parent39af303600fb1ccd32145b5a95f44a9e4cda6ee9 (diff)
parentde570a0b840b7ff9155c61fdaa204e5439dae5e9 (diff)
downloadrneovim-3f3a3cb65f02b8088dea911094421f8ce79e521a.tar.gz
rneovim-3f3a3cb65f02b8088dea911094421f8ce79e521a.tar.bz2
rneovim-3f3a3cb65f02b8088dea911094421f8ce79e521a.zip
Merge pull request #4770 from jamessan/vim-patch-list
vim-patch.sh: Ignore “git describe” failures in list_vim_patches
-rwxr-xr-xscripts/vim-patch.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/vim-patch.sh b/scripts/vim-patch.sh
index 0ddef0f67a..751f50d290 100755
--- a/scripts/vim-patch.sh
+++ b/scripts/vim-patch.sh
@@ -256,7 +256,8 @@ list_vim_patches() {
for vim_commit in ${vim_commits}; do
local is_missing
local vim_tag
- vim_tag="$(cd "${VIM_SOURCE_DIR}" && git describe --tags --exact-match "${vim_commit}" 2>/dev/null)"
+ # This fails for untagged commits (e.g., runtime file updates) so mask the return status
+ vim_tag="$(cd "${VIM_SOURCE_DIR}" && git describe --tags --exact-match "${vim_commit}" 2>/dev/null)" || true
if [[ -n "${vim_tag}" ]]; then
local patch_number="${vim_tag:5}" # Remove prefix like "v7.4."
# Tagged Vim patch, check version.c: